package ru.yandex.canvas.service.multitype.singletype.request;

import java.util.List;

import javax.annotation.Nullable;
import javax.annotation.ParametersAreNonnullByDefault;

@ParametersAreNonnullByDefault
public class AdminRejectOperationSingleTypeRequest extends SingleCreativeTypeOperationRequest {
    @Nullable
    private final String reason;

    public AdminRejectOperationSingleTypeRequest(List<Long> creativeIds, @Nullable String reason) {
        super(creativeIds);
        this.reason = reason;
    }

    @Nullable
    public String getReason() {
        return reason;
    }
}
